Bug 604070 - Reserve static uidgids for avahi-autoipd and pulseaudio
Summary: Reserve static uidgids for avahi-autoipd and pulseaudio
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: setup (Show other bugs)
(Show other bugs)
Version: 6.0
Hardware: All Linux
low
medium
Target Milestone: rc
: ---
Assignee: Ondrej Vasik
QA Contact: qe-baseos-daemons
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-15 11:07 UTC by Ondrej Vasik
Modified: 2010-11-10 21:37 UTC (History)
3 users (show)

Fixed In Version: setup-2.8.14-9.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-10 21:37:34 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ondrej Vasik 2010-06-15 11:07:41 UTC
Description of problem:
As discussed via private emails with Lennart Poettering avahi-autoipd and pulse user should have statically reserved uidgid pair. Additionally, avahi home directory should be different.
Reserved uidgid should look like (same as in Fedora Rawhide):
 name          uid gid         homedir                  shell
 avahi         70  70   /var/run/avahi-daemon      /sbin/nologin
 avahi-autoipd 170 170  /var/lib/avahi-autoipd     /sbin/nologin
 pulse         171 171  /var/run/pulse             /sbin/nologin

Steps to reproduce:
1. Check /usr/share/doc/setup-*/uidgid

Actual results:
 These reserved pairs are not present

Expected results:
  These pairs are present in reservation file.

Comment 1 RHEL Product and Program Management 2010-06-15 11:13:26 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 2 Ondrej Vasik 2010-06-15 11:43:22 UTC
Commited to CVS and built as setup-2.8.14-9.el6 ( http://post-office.corp.redhat.com/archives/cvs-commits-list/2010-June/msg01878.html ) -> MODIFIED

Comment 5 Alexander Todorov 2010-08-25 11:09:19 UTC
# rpm -q setup 
setup-2.8.14-10.el6.noarch

# grep avahi /usr/share/doc/setup-2.8.14/uidgid 
avahi   70      70      /var/run/avahi-daemon           /sbin/nologin   avahi
avahi-autoipd   170     170     /var/lib/avahi-autoipd          /sbin/nologin   avahi

# grep pulseaudio /usr/share/doc/setup-2.8.14/uidgid 
pulse   171     171     /var/run/pulse          /sbin/nologin   pulseaudio

Comment 6 releng-rhel@redhat.com 2010-11-10 21:37:34 UTC
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.